Package org.eclipse.birt.report.engine.api

# Class CachedImage

java.lang.Object
org.eclipse.birt.report.engine.api.CachedImage

public class CachedImage extends Object
Cached Image Created by the IHTMLImageHandler. Before call the IHTMLImageHandler to generate the image, the report engine will first ask the handler if there exits a cache for that image. If the cache finded, the report engine will use that cache directly and won't request the handle to create the new image instance any more.

## Constructor Summary

Constructors
Constructor
Description
`CachedImage()`
create an empty cache.
`CachedImage(String id, String url)`
create a instance of cached image.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
get the id of the image.
`String`
`getImageMap()`
get the image map of the image.
`ImageSize`
`getImageSize()`
get the image size
`String`
`getMIMEType()`
get the mime type of the image.
`String`
`getURL()`
get the URL of the cached image.
`void`
`setID(String id)`
set the id of the cached image.
`void`
`setImageMap(String imageMap)`
set the image map of the image.
`void`
`setImageSize(ImageSize size)`
set the image size
`void`
`setMIMEType(String mimeType)`
set the mime type of the image.
`void`
`setURL(String url)`
set the image URL.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CachedImage

public CachedImage()
create an empty cache.

### CachedImage

public CachedImage(String id, String url)
create a instance of cached image.

Parameters:
  `id` - id of the image.
  `url` - url of the image

## Method Details

### setID

public void setID(String id)
set the id of the cached image.

Parameters:
  `id` - id of the image.

### getID

public String getID()
get the id of the image.

Returns:
  id of the image.

### getURL

public String getURL()
get the URL of the cached image. The image content can be reterive from that URL.

Returns:
  url of the image.

### setURL

public void setURL(String url)
set the image URL.

Parameters:
  `url` - url which refer to the image

### getImageMap

public String getImageMap()
get the image map of the image. the image map represents in HTML format.

Returns:
  the image map of the image.

### setImageMap

public void setImageMap(String imageMap)
set the image map of the image. the image map is in HTML format.

Parameters:
  `imageMap` - image map in HTML format.

### getMIMEType

public String getMIMEType()
get the mime type of the image.

Returns:
  the mime type.

### setMIMEType

public void setMIMEType(String mimeType)
set the mime type of the image.

Parameters:
  `mimeType` - the mime type of the image

### getImageSize

public ImageSize getImageSize()
get the image size

### setImageSize

public void setImageSize(ImageSize size)
set the image size